# Documentation

Menu

## QueryParser
in package

QueryParser.php : 24

Utility Class to parse sql clauses for properly escaping identifiers

### Table of Contents

$matches : array<string|int, mixed>
  Regex matches
__construct() : mixed
  Constructor/entry point into parser
compileJoin() : string
  Compiles a join condition after parsing
parseJoin() : array<string|int, array<string|int, mixed>>
  Parser method for setting the parse string

### Properties

#### $matches

QueryParser.php : 29

Regex matches

`public array<string|int, mixed> $matches = ['functions' => [], 'identifiers' => [], 'operators' => [], 'combined' => []]`

### Methods

#### __construct()

QueryParser.php : 48

Constructor/entry point into parser

`public __construct(DriverInterface $db) : mixed`

##### Parameters

$db : DriverInterface

##### Return values

mixed —

#### compileJoin()

QueryParser.php : 77

Compiles a join condition after parsing

`public compileJoin(string $condition) : string`

##### Parameters

$condition : string

##### Return values

string —

#### parseJoin()

QueryParser.php : 57

Parser method for setting the parse string

`public parseJoin(string $sql) : array<string|int, array<string|int, mixed>>`

##### Parameters

$sql : string

##### Return values

array<string|int, array<string|int, mixed>> —

## Search results